Bug 1668961 (CVE-2019-3818)

Summary: CVE-2019-3818 kube-rbac-proxy: Improper application of config allows for insecure ciphers and TLS 1.0
Product: [Other] Security Response Reporter: Sam Fowler <sfowler>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: NEW --- QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: ahardin, bleanhar, bmontgom, ccoleman, dedgar, eparis, jburrell, jgoulding, jokerman, mchappel, nstielau, security-response-team, sfowler, sponnaga
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: kube-rbac-proxy 0.4.1 Doc Type: If docs needed, set a value
Doc Text:
The kube-rbac-proxy container, as used in Red Hat OpenShift Container Platform, does not honor TLS configurations allowing for the use of insecure ciphers and TLS 1.0. An attacker could target traffic sent over a TLS connection with a weak configuration and potentially break the encryption of the data stream.
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1669378, 1669379    
Bug Blocks: 1668962    

Description Sam Fowler 2019-01-24 01:13:01 UTC
The kube-rbac-proxy container as used in Red Hat OpenShift Container Platform does not honour TLS configurations, allowing for use of insecure ciphers and TLS 1.0. An attacker could potentially target a weak TLS configuration via a man-in-the-middle attack to discover sensitive information.

The fix for this issue properly applies the configured TLS settings and makes TLS 1.2 the default.

Comment 1 Sam Fowler 2019-01-24 01:19:42 UTC
Patch:

https://github.com/brancz/kube-rbac-proxy/pull/27/files

Comment 2 Sam Fowler 2019-01-25 04:14:34 UTC
Acknowledgments:

Name: Frederic Branczyk (Red Hat), Matthias Loibl (Red Hat), Max Inden (Red Hat)

Comment 4 Sam Fowler 2019-04-24 01:15:53 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 3.11

Via RHBA-2019:0327 https://access.redhat.com/errata/RHBA-2019:0327